LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::text::PlaceholderType Constant Group Referencepublished

These constants define how the place-holder text fields act in a document. More...

## Variables
const short | TEXT = 0
| The field represents a piece of text. More...
const short | TABLE = 1
| The field initiates the insertion of a text table. More...
const short | TEXTFRAME = 2
| The field initiates the insertion of a text frame. More...
const short | GRAPHIC = 3
| The field initiates the insertion of a graphic object. More...
const short | OBJECT = 4
| The field initiates the insertion of an embedded object. More...

## Detailed Description

These constants define how the place-holder text fields act in a document.

## Variable Documentation

## ◆ GRAPHIC

const short GRAPHIC = 3

The field initiates the insertion of a graphic object.

## ◆ OBJECT

const short OBJECT = 4

The field initiates the insertion of an embedded object.

## ◆ TABLE

const short TABLE = 1

The field initiates the insertion of a text table.

## ◆ TEXT

const short TEXT = 0

The field represents a piece of text.

## ◆ TEXTFRAME

const short TEXTFRAME = 2

The field initiates the insertion of a text frame.